Delete a draft
curl --request DELETE \
--url https://{dsn}/api/v1/drafts/{draft_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{dsn}/api/v1/drafts/{draft_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{dsn}/api/v1/drafts/{draft_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "DraftDeleted",
"account_id": "<string>",
"draft_id": "<string>"
}{
"status": 401,
"type": "errors/invalid_credentials",
"title": "Invalid credentials",
"detail": "the mail provider rejected the credentials: invalid_grant"
}{
"status": 404,
"type": "errors/not_found",
"title": "Not found",
"detail": "email email_94a0d77db739407e932c3b97fef44aac not found"
}Drafts
Delete a draft
Deletes the draft from the Drafts folder (email.draft.delete follows).
DELETE
/
drafts
/
{draft_id}
Delete a draft
Authorizations
Your access token, from your dashboard under API keys.
Path Parameters
The drf_… id from creation, or the synced draft's email_… id.
Query Parameters
The draft's account. Needed only right after creating it, before it has synced.